import objectdraw.*;
import java.awt.*;

// A class that constructs a panel that can be used to experiment with the
// behavior of the "indexOf" method of the String class.

public class IndexOfTester extends TwoStringInput implements StringOpTester {

	// Field used to enter character position
	protected LabeledTextField position;

	public IndexOfTester() {

		// Create and add "position" field;
		position = new LabeledTextField("    Starting Position   ", 7);
		inputPanel.add(position);

	}

	// Perform "indexOf" operation when requested
	public String doIt() {
		try {
			return ""
				+ sourceField.getText().indexOf(
					soughtString.getText(),
					Integer.parseInt(position.getText()));
		} catch (Exception e) {
			return "Value specified for position is invalid or out of range";
		}

	}

	// Return the name of the method this class invokes
	public String getChoiceLabel() {
		return "indexOf";
	}

	// Return the name of the method this class invokes
	public String toString() {
		return "indexOf";
	}
}
